oracle.xml.xquery

## Interface OXQFunctionContext

    public interface OXQFunctionContext

The runtime context provided to extensions of `OXQFunctionEvaluator`. Users should not implement this interface.

Since:
  12.1
See Also:
  `OXQFunctionEvaluator`

### Method Summary

All Methods Instance Methods Abstract Methods
`XQConnection` `getConnection()` Gets the connection.
`XQDynamicContext` `getDynamicContext()` Gets a read-only view of the dynamic context.
`OXQFunctionMetaData` `getMetaData()` Gets the metadata for the function being evaluated.
`XQStaticContext` `getStaticContext()` Gets a read-only view of the static context.

### Method Detail

#### getMetaData

    OXQFunctionMetaData getMetaData()

Gets the metadata for the function being evaluated.

Returns:
  the function metadata

#### getConnection

    XQConnection getConnection()

Gets the connection. Note that `javax.xml.xquery.XQConnection` extends `javax.xml.xquery.XQDataFactory` so the connection is useful for constructing the return value of the function. This method is equivalent to `OXQView.getDynamicContext(getDynamicContext()).getConnection()`

Returns:
  the connection

#### getDynamicContext

    XQDynamicContext getDynamicContext()

Gets a read-only view of the dynamic context. Invoking any method on the dynamic context that would modify its state will throw an `java.lang.UnsupportedOperationException`.

Returns:
  the dynamic context

#### getStaticContext

    XQStaticContext getStaticContext()

Gets a read-only view of the static context. Invoking any method on the static context that would modify its state will throw an `java.lang.UnsupportedOperationException`.

Returns:
  the static context

Copyright © 2003, 2017, Oracle and/or its affiliates. All rights reserved.